/* fonts  */

@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');


body {
    scroll-behavior: smooth;
}

/* Banner  */

.banner-container {
    background: linear-gradient(180deg, #0aa2f3 -200.26%, rgba(246, 95, 52, 0) 100%);
    height: 575px;
}

.banner {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: "Inter", sans-serif;
}

.banner-title {
    font-size: 39px;
    font-weight: 700;
    line-height: 62px;
    text-align: center;
}

.banner-description {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    text-align: center;
    margin-top: 10px;
    margin-bottom: 40px;
}

.banner-btn {


    background-color: white;
    color: #0aa2f3;
    border: 2px solid #0aa2f3;
    padding: 15px 40px;
    border-radius: 100px;
    font-size: 19.69px;
    font-weight: 600;
}

.arrow {
    font-size: 15px;
    background-color: #0aa2f3;
    color: white;
    border-radius: 100px;
    padding: 5px 6px;
    margin-left: 25px;
}

.banner-btn:hover {
    color: white;
    background: #0aa2f3;
    border: 2px solid #0aa2f3;
    transition: background-color 0.5s ease-in-out, color 0.5s ease-in-out;
}

.banner-btn:hover .arrow {

    background-color: white;
    color: #0aa2f3;
    transition: background-color 0.5s ease-in-out, color 0.5s ease-in-out;
}







/* explore  */

.explore-container {
    font-family: "Inter", sans-serif;
    margin-top: 120px;
    margin-bottom: 120px;
}

.section-title {
    font-size: 30px;
    font-weight: 700;
    line-height: 0;
    text-align: center;
    margin-bottom: 60px;
}

.explore-card-container {
    gap: 30px;
}


.image-container {
    position: relative;
}

.image-container img {
    width: 100%;
    display: block;
}

.image-container .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(52, 194, 249, 0.23);
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s;
    border-radius: 10px 10px 0 0;
}

.demo-card:hover .image-container .overlay {
    opacity: 1;
}


.explore-card-content {
    padding: 20px 30px 25px;
    border-radius: 0 0 10px 10px;
    border-top: 0;
}

.explore-card-title {
    font-size: 18px;
    font-weight: 500;
    line-height: 32px;
    text-align: center;

}

.explore-card-description {
    font-size: 16px;
    font-weight: 400;
    line-height: 26px;
    text-align: center;
    color: rgba(21, 20, 57, 0.4);
}

.explore-card-btn {
    color: white;
    background: #0aa2f3;
    border: 2px solid #0aa2f3;
    padding: 8px 30px;
    border-radius: 100px;
    font-size: 16px;
    font-weight: 500;
}

.explore-card-btn:hover {
    background-color: white;
    color: #0aa2f3;
    border: 2px solid #0aa2f3;
    transition: background-color 0.5s ease-in-out, color 0.5s ease-in-out;
}

/* Top Features  */

.top-features-container {
    font-family: "Inter", sans-serif;
    background-color: rgba(246, 95, 52, 0.1);
    padding: 100px 0;
    margin-bottom: 100px;
}

.top-features-card-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    row-gap: 70px;
    column-gap: 40px;
}


.top-features-card-title {
    font-size: 22.44px;
    font-weight: 600;
    line-height: 32.44px;
    margin-top: 30px;
}


.top-features-card-description {
    color: #454545;
    font-size: 18.93px;
    font-weight: 400;
    line-height: 27.04px;
    margin-top: 15px;
}

.margin-align {
    margin-top: 47px;
}

/* Others features  */

.others-container {
    font-family: "Inter", sans-serif;
    margin-bottom: 100px;
}

.others-card-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.others-item {
    padding: 40px 20px;
    border-radius: 16.83px;
}

.others-item:hover {
    background-color: #f9f9f9;
}

.others-card-title {
    font-size: 20.29px;
    font-weight: 500;
    line-height: 40.39px;
}



/* footer  */

.footer-container {
    font-family: "Inter", sans-serif;
    background-color: #000 !important;
    height: 86px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-text {
    font-size: 18px;
    font-weight: 500;
    line-height: 24px;
    text-align: center;
    color: white;
    margin-bottom: 0;
}


/* Responsive  */

@media (max-width:576px) {
    .banner-container {
        height: 600px;
    }

    .banner-title {
        font-size: 30px;
        line-height: 48.41px;
    }

    .banner-description {
        margin-top: 20px;
        margin-bottom: 30px;
    }

    .banner-btn {
        padding: 8px 25px;
        font-size: 15.22px;
    }

    .explore-container {
        margin-top: 10px;
        margin-bottom: 50px;
    }

    .section-title {
        font-size: 32px;
        margin-bottom: 30px;
    }

    .explore-card-container {
        gap: 50px;
    }

    .explore-card-title {
        font-size: 24px;
    }

    .explore-card-description {
        font-size: 14px;
    }


    .top-features-container {
        padding: 40px 0;
        margin-bottom: 50px;
    }

    .top-features-card-container {
        grid-template-columns: 1fr;
        gap: 50px;
    }

    .others-container {
        margin-bottom: 50px;
    }



    .others-item {
        padding: 40px 5px;
    }

    .others-card-title {
        font-size: 26.17px;
        font-weight: 500;
        line-height: 34.9px;
    }


    .footer-text {
        font-size: 14px;
    }
}

@media (max-width:768px) {
    .others-card-container {
        grid-template-columns: 1fr;
    }

    .logo img{
        width: 200px !important;
    }
}

@media (min-width:576.5px) and (max-width:992px) {
    .banner-container {
        height: 600px;
    }

    .banner-title {
        font-size: 40px;
        line-height: 48.41px;
    }

    .banner-description {
        margin-top: 20px;
        margin-bottom: 30px;
    }

    .banner-btn {
        padding: 8px 25px;
        font-size: 17.22px;
    }

    .explore-container {
        margin-top: 10px;
        margin-bottom: 80px;
    }

    .section-title {
        font-size: 45px;
    }


    .top-features-container {
        padding: 40px 0;
        /* margin-bottom: 100px; */
    }

    .top-features-card-container {
        grid-template-columns: 1fr 1fr;
        gap: 50px;
    }

    .others-card-title {
        font-size: 28px;
        font-weight: 500;
        line-height: 38px;
    }

    .footer-text {
        font-size: 16px;
    }
}

@media (min-width:768.5px) and (max-width:1199px) {
    .others-card-container {
        grid-template-columns: 1fr 1fr;
    }
}